ResolverImpl (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.catalina.valves.rewrite, class: ResolverImpl

# Class ResolverImpl

java.lang.Object
org.apache.catalina.valves.rewrite.Resolver
org.apache.catalina.valves.rewrite.ResolverImpl

public class ResolverImpl extends Resolver

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Request`
  `request`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResolverImpl(Request request)`
  Deprecated.
  Will be removed in Tomcat 12 onwards.
  `ResolverImpl(Request request, Log containerLog)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Charset`
  `getUriCharset()`
  `String`
  `resolve(String key)`
  The following are not implemented: SERVER_ADMIN API_VERSION IS_SUBREQ
  `String`
  `resolveEnv(String key)`
  `String`
  `resolveHttp(String key)`
  `boolean`
  `resolveResource(int type, String name)`
  `String`
  `resolveSsl(String key)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### request

    protected final Request request

- ## Constructor Details

  - ### ResolverImpl

    @Deprecated public ResolverImpl(Request request)
    Deprecated.
    Will be removed in Tomcat 12 onwards. Use `ResolverImpl(Request, Log)`
    Create a resolver for the given request.
    Parameters:
      `request` - The request

  - ### ResolverImpl

    public ResolverImpl(Request request, Log containerLog)

- ## Method Details

  - ### resolve

    public String resolve(String key)
    The following are not implemented:
    - SERVER_ADMIN
    - API_VERSION
    - IS_SUBREQ
    Specified by:
      `resolve` in class `Resolver`

  - ### resolveEnv

    public String resolveEnv(String key)
    Overrides:
      `resolveEnv` in class `Resolver`

  - ### resolveSsl

    public String resolveSsl(String key)
    Specified by:
      `resolveSsl` in class `Resolver`

  - ### resolveHttp

    public String resolveHttp(String key)
    Specified by:
      `resolveHttp` in class `Resolver`

  - ### resolveResource

    public boolean resolveResource(int type, String name)
    Specified by:
      `resolveResource` in class `Resolver`

  - ### getUriCharset

    public Charset getUriCharset()
    Specified by:
      `getUriCharset` in class `Resolver`